Package writer2xhtml.api

# Interface MetaData

public interface MetaData
This interface provides access to the predefined meta data of the source document (currently incomplete)

## Method Summary

Modifier and Type
Method
Description
`String`
`getCreator()`
Get the creator of the source document (or the initial creator if none is specified)
`String`
`getDate()`
Get the date of the source document
`String`
`getDescription()`
Get the description of the source document
`String`
`getKeywords()`
Get the keywords of the source document
`String`
`getLanguage()`
Get the (main) language of the document
`String`
`getSubject()`
Get the subject of the source document
`String`
`getTitle()`
Get the title of the source document
`Map<String,String>`
`getUserDefinedMetaData()`
Get the user-defined meta data

## Method Details

### getTitle

String getTitle()
Get the title of the source document

Returns:
  the title (may return an empty string)

### getSubject

String getSubject()
Get the subject of the source document

Returns:
  the subject (may return an empty string)

### getKeywords

String getKeywords()
Get the keywords of the source document

Returns:
  the keywords as a comma separated list (may return an empty string)

### getDescription

String getDescription()
Get the description of the source document

Returns:
  the description (may return an empty string)

### getCreator

String getCreator()
Get the creator of the source document (or the initial creator if none is specified)

Returns:
  the creator (may return an empty string)

### getLanguage

String getLanguage()
Get the (main) language of the document

Returns:
  the language

### getDate

String getDate()
Get the date of the source document

Returns:
  the date (may return an empty string)

### getUserDefinedMetaData

Map<String,String> getUserDefinedMetaData()
Get the user-defined meta data

Returns:
  the user-defined meta data as a name-value map